Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Algorithm
Class SimplePipeline

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<Module>
                  Algorithm.SimplePipeline

All Implemented Interfaces:
  Pipeline, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<Module>, java.util.Collection<Module>, java.util.List<Module>, java.util.RandomAccess

    public class SimplePipeline

extends java.util.ArrayList<Module>
implements Pipeline

A pipeline containing modules. Extends ArrayList and implements Pipeline Simple.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`SimplePipeline()` Constructor
`SimplePipeline(int size)` Constructor for a pipeline of set initial size

Method Summary
`void` | `addModule(Module m)` Add a module to the end of the pipeline
`Module` | `getModule(int i)` Return element specified by i
`java.util.Collection<Module>` | `getModules()` Return the entire collection of modules
`void` | `step()` Iterate over the modules in the pipeline

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### SimplePipeline

    public SimplePipeline(int size)

  Constructor for a pipeline of set initial size

  Parameters:
    `size` - Initial size

### SimplePipeline

    public SimplePipeline()

  Constructor

Method Detail

### step

    public void step()

  Iterate over the modules in the pipeline

  Specified by:
    `step` in interface `Pipeline`

### addModule

    public void addModule(Module m)

  Add a module to the end of the pipeline

  Specified by:
    `addModule` in interface `Pipeline`
  Parameters:
    `m` - Added module

### getModule

    public Module getModule(int i)

  Return element specified by i

  Specified by:
    `getModule` in interface `Pipeline`
  Parameters:
    `i` - position in pipeline
  Returns:
    element specified by the position

### getModules

    public java.util.Collection<Module> getModules()

  Return the entire collection of modules

  Specified by:
    `getModules` in interface `Pipeline`
  Returns:
    the entire collection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD